Subject: Re: [PATCH 1/2] fixup: "powerpc/perf: Add support for the hv 24x7 interface"

From: Anton Blanchard <[email-masked]>
Date: Mon, 7 Apr 2014 11:22:36 +1000

Hi

> That's not much less awful... The message gives 0 informations about
> where it comes from .. what is it that couldn't obtain capabilities ?

Cody is at least using pr_fmt to give some information on what went
wrong:

[    1.635040] hv-24x7: not a virtualized system, not enabling
[    1.635079] hv-gpci: not a virtualized system, not enabling

I think this is way too chatty though. If every driver printed a couple
of lines we'd end up with thousands of useless lines in the dmesg.

I still would prefer to see these as pr_debug lines.

Anton